net.corda.node.services.network

## Class NetworkMapService.Update

- net.corda.node.services.network.NetworkMapService.Update

- Enclosing interface:
    NetworkMapService

      public static class NetworkMapService.Update

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Update(WireNodeRegistration wireReg, int mapVersion, MessageRecipients replyTo)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `WireNodeRegistration` | `component1()`
    `int` | `component2()`
    `MessageRecipients` | `component3()`
    `NetworkMapService.Update` | `copy(WireNodeRegistration wireReg, int mapVersion, MessageRecipients replyTo)`
    `boolean` | `equals(java.lang.Object p)`
    `int` | `getMapVersion()`
    `MessageRecipients` | `getReplyTo()`
    `WireNodeRegistration` | `getWireReg()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

- - ### Constructor Detail

    - #### Update

          public Update(WireNodeRegistration wireReg,
                        int mapVersion,
                        MessageRecipients replyTo)

  - ### Method Detail

    - #### getWireReg

          public WireNodeRegistration getWireReg()

    - #### getMapVersion

          public int getMapVersion()

    - #### getReplyTo

          public MessageRecipients getReplyTo()

    - #### component1

          public WireNodeRegistration component1()

    - #### component2

          public int component2()

    - #### component3

          public MessageRecipients component3()

    - #### copy

          public NetworkMapService.Update copy(WireNodeRegistration wireReg,
                                               int mapVersion,
                                               MessageRecipients replyTo)

    - #### toString

          public java.lang.String toString()

    - #### hashCode

          public int hashCode()

    - #### equals

          public boolean equals(java.lang.Object p)